Subject: Re: B20: mv deletes files on error (NT)
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Corinna Vinschen <[email-masked]>, Chris Faylor <[email-masked]>
Cc: David Dagon <[email-masked]>, [email-masked]
Date: Mon, 29 Mar 1999 11:45:07 -0500

At 11:57 AM 3/29/99 +0200, Corinna Vinschen wrote:
>Chris Faylor wrote:
>> 
>> I'm not 100% certain (and I can't check right now) but I think that
>> this should not be a problem in recent snapshots.  A net contributor
>> supplied a patch to make "inode" generation case-insensitive.  That
>> should make mv capable of detecting this problem and disallowing it.
>> 
>> -chris
>
>Yes. `mv foo Foo' only outputs the message 
>
>	mv: `foo' and `Foo' are the same file
>
>in the recent snapshots.
>
>Regards,
>Corinna
>
>

If that's true, how does one rename a file based on case sensitivity only?
On b19 (which as all I have at this location), mv can do this without 
complaint or problem...

TEST_lhall->touch foo
TEST_lhall->ls -l
total 0
-rw-r--r--   1 544      None            0 Mar 29 11:43 foo
TEST_lhall->mv foo Foo
TEST_lhall->ls -l
total 0
-rw-r--r--   1 544      None            0 Mar 29 11:43 Foo

Seems a shame if this functionality has been lost...

Larry Hall                             [email-masked]
RFK Partners, Inc.                     (781) 239-1053
8 Grove Street                         (781) 239-1655
Wellesley, MA, 02482-7797              http://www.rfk.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]